# DDS-Configuration file. There are two options to be added here:
#
# includes: list of topics with their mapping to be included in the gateway setup.
# If there are no includes specified, all pub/subs from the system will have a gateway
# added for them.
#
# excludes: list of topics to be excluded from the gateway setup. this could be control
# topics that are not meant to make on dds.

# received by the EMU
subscribers:
  includes:
    - dds_topic: /pcu/emu_control
      ach_topic: /emu/dds_bridge/ai_control_command
    - dds_topic: /body_request
      ach_topic: /emu/body_request
    - dds_topic: /pcu/robot_monitor/request
      ach_topic: /emu/robot_monitor/output
    - dds_topic: /pcu/emu_tracker_smoother
      ach_topic: /emu/dds_bridge/ai_tracker_smoother
    - dds_topic: /pcu/emu_tracker_hero_state
      ach_topic: /emu/dds_bridge/ai_tracker_hero_state
    - dds_topic: /pcu/emu_localizer
      ach_topic: /emu/dds_bridge/ai_localizer_info
    - dds_topic: /rider_state_machine/emu_heartbeat
      ach_topic: /emu/dds_bridge/rsm_emu_heartbeat
    - dds_topic: /pcu/hero_smooth_state
      ach_topic: /pcu/hero_smooth_state
